Eliminar un local de retiro
curl --request DELETE \
--url https://api.service.getjusto.com/v3/ecommerce/stores/{storeId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"_id": "<string>",
"websiteId": "<string>",
"name": "Providencia",
"acceptDelivery": true,
"acceptServe": true,
"acceptGo": true,
"currentPreparationDuration": 123,
"currentDeliveryDuration": 123,
"phone": "<string>",
"address": {
"_id": "<string>",
"placeId": "<string>",
"address": "Av. Apoquindo 3000",
"addressLine2": "<string>",
"addressSecondary": "<string>",
"streetAddress": "<string>",
"extendedAddress": "<string>",
"locality": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"countryName": "<string>",
"location": {
"lat": -33.4489,
"lng": -70.6693
}
},
"externalId": "<string>",
"timezone": "America/Lima",
"schedule": {
"closedUntilDate": "2020-01-01T00:00:00.000Z",
"availableAtPeriods": true,
"openPeriods": [
{
"daysOfWeek": [
1,
2,
3,
4,
5
],
"fromMinute": 720,
"toMinute": 720
}
],
"specialPeriods": [
{
"days": [
"2026-12-25"
],
"fromMinute": 720,
"toMinute": 720
}
],
"closedDays": [
"2023-11-07T05:31:56Z"
],
"timezone": "<string>"
}
}
}{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}Locales
Eliminar un local de retiro
Elimina un local creado con POST /stores. No elimina locales que venden por delivery, retiro o consumo en el local (storeSells): esos se eliminan desde el administrador. Tampoco se puede mientras el local tenga entregas en curso (storeHasOpenDeliveries). Su historial de entregas se conserva.
DELETE
/
ecommerce
/
stores
/
{storeId}
Eliminar un local de retiro
curl --request DELETE \
--url https://api.service.getjusto.com/v3/ecommerce/stores/{storeId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"_id": "<string>",
"websiteId": "<string>",
"name": "Providencia",
"acceptDelivery": true,
"acceptServe": true,
"acceptGo": true,
"currentPreparationDuration": 123,
"currentDeliveryDuration": 123,
"phone": "<string>",
"address": {
"_id": "<string>",
"placeId": "<string>",
"address": "Av. Apoquindo 3000",
"addressLine2": "<string>",
"addressSecondary": "<string>",
"streetAddress": "<string>",
"extendedAddress": "<string>",
"locality": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"countryName": "<string>",
"location": {
"lat": -33.4489,
"lng": -70.6693
}
},
"externalId": "<string>",
"timezone": "America/Lima",
"schedule": {
"closedUntilDate": "2020-01-01T00:00:00.000Z",
"availableAtPeriods": true,
"openPeriods": [
{
"daysOfWeek": [
1,
2,
3,
4,
5
],
"fromMinute": 720,
"toMinute": 720
}
],
"specialPeriods": [
{
"days": [
"2026-12-25"
],
"fromMinute": 720,
"toMinute": 720
}
],
"closedDays": [
"2023-11-07T05:31:56Z"
],
"timezone": "<string>"
}
}
}{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}Elimina un local creado con Crear un local de retiro. Después de eliminarlo ya no se puede cotizar desde él, pero su historial de entregas se conserva.
Solo se pueden eliminar por API los locales que no venden: si el local vende por delivery, retiro o consumo en el local, responde
storeSells y debes eliminarlo desde el administrador. Tampoco se puede eliminar mientras tenga entregas en curso (storeHasOpenDeliveries): espera a que terminen o cancélalas con Cancelar una entrega.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID Justo o ID externo del local.